import { MsaterRes, ProbeServerRes, SigRes } from '../type/type';
/**
 * 设置请求环境
 *
 * @internal
 * @param e 环境
 */
export declare function setRequestEnv(e: string): void;
export declare function getURL(path: string): string;
export declare function getTokenAuthUrl(): string;
/**
 * 发送 post 请求
 *
 * @internal
 * @param path fetch 路径
 * @param data post 发送 data
 * @returns 返回数据
 */
export declare function post(path: string, data: Object): Promise<any>;
/**
 * 发送 get 请求
 *
 * @internal
 * @param path fetch 路径
 * @param data get 发送 data
 * @returns 返回数据
 */
export declare function get(path: string, data: Object): Promise<any>;
/**
 * 获取 token
 *
 * @internal
 * @param sign
 * @returns 返回数据
 */
export declare function checkSign(sign: string, roomId: string, userId: number): Promise<SigRes>;
/**
 * 获取 Proxies
 *
 * @internal
 * @param MasterRes
 * @returns 返回数据
 */
export declare function fetchMaster(master: string): Promise<MsaterRes>;
export declare function fetchProbeServers(): Promise<ProbeServerRes>;
